<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class DayOff extends Model
{
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'user_id', 'date', 'day_off_type_id'
    ];

    /**
     * For the User/Bid relationship
     */
    public function user() {
        return $this->belongsTo('App\User');
    }

    /**
     * For the User/Bid relationship
     */
    public function dayOffType() {
        return $this->belongsTo('App\DayOffTypes');
    }

}
